Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233020 - DOC: AEP: access denied exception during child domain proxy configuration
Summary: DOC: AEP: access denied exception during child domain proxy configuration
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Certificate System
Classification: Red Hat
Component: Auto-Enrollment
Version: 7.3
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Matthew Harmsen
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-19 22:00 UTC by Chandrasekar Kannan
Modified: 2017-04-10 14:19 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-06 23:36:29 UTC


Attachments (Terms of Use)

Description Chandrasekar Kannan 2007-03-19 22:00:53 UTC
[root@googly.sfbay.redhat.com]: cat /export/kchandra/ad.txt
************** Exception Text **************
System.UnauthorizedAccessException: General access denied error

   at System.DirectoryServices.Interop.IAdsContainer.Delete(String className,
String relativeName)
   at System.DirectoryServices.DirectoryEntries.Remove(DirectoryEntry entry)
   at ProxyPanel.ProxyPanel.addCertificationAuthorities(DirectoryEntry d,
Byte[] cacert)
   at ProxyPanel.ProxyPanel.populateLDAP_Click(Object sender, EventArgs e)
   at System.Windows.Forms.Control.OnClick(EventArgs e)
   at System.Windows.Forms.Button.OnClick(EventArgs e)
   at System.Windows.Forms.Button.OnMouseUp(MouseEventArgs mevent)
   at System.Windows.Forms.Control.WmMouseUp(Message& m, MouseButtons button,
Int32 clicks)
   at System.Windows.Forms.Control.WndProc(Message& m)
   at System.Windows.Forms.ButtonBase.WndProc(Message& m)
   at System.Windows.Forms.Button.WndProc(Message& m)
   at System.Windows.Forms.ControlNativeWindow.OnMessage(Message& m)
   at System.Windows.Forms.ControlNativeWindow.WndProc(Message& m)
   at System.Windows.Forms.NativeWindow.Callback(IntPtr hWnd, Int32 msg,
IntPtr wparam, IntPtr lparam)


************** Loaded Assemblies **************
mscorlib
    Assembly Version: 1.0.5000.0
    Win32 Version: 1.1.4322.2300
    CodeBase:
file:///c:/windows/microsoft.net/framework/v1.1.4322/mscorlib.dll
----------------------------------------
System
    Assembly Version: 1.0.5000.0
    Win32 Version: 1.1.4322.2300
    CodeBase:
file:///c:/windows/assembly/gac/system/1.0.5000.0__b77a5c561934e089/system.dll
----------------------------------------
System.Drawing
    Assembly Version: 1.0.5000.0
    Win32 Version: 1.1.4322.2300
    CodeBase:
file:///c:/windows/assembly/gac/system.drawing/1.0.5000.0__b03f5f7f11d50a3a/system.drawing.dll
----------------------------------------
System.DirectoryServices
    Assembly Version: 1.0.5000.0
    Win32 Version: 1.1.4322.2300
    CodeBase:
file:///c:/windows/assembly/gac/system.directoryservices/1.0.5000.0__b03f5f7f11d50a3a/system.directoryservices.dll
----------------------------------------
System.Messaging
    Assembly Version: 1.0.5000.0
    Win32 Version: 1.1.4322.2300
    CodeBase:
file:///c:/windows/assembly/gac/system.messaging/1.0.5000.0__b03f5f7f11d50a3a/system.messaging.dll
----------------------------------------
System.ServiceProcess
    Assembly Version: 1.0.5000.0
    Win32 Version: 1.1.4322.2300
    CodeBase:
file:///c:/windows/assembly/gac/system.serviceprocess/1.0.5000.0__b03f5f7f11d50a3a/system.serviceprocess.dll
----------------------------------------
System.Data
    Assembly Version: 1.0.5000.0
    Win32 Version: 1.1.4322.2300
    CodeBase:
file:///c:/windows/assembly/gac/system.data/1.0.5000.0__b77a5c561934e089/system.data.dll
----------------------------------------
ProxyPanel
    Assembly Version: 1.0.2623.29471
    Win32 Version: 1.0.2623.29471
    CodeBase: file:///C:/Program%20Files/RHCSProxy/ProxyPanel.exe
----------------------------------------
System.Windows.Forms
    Assembly Version: 1.0.5000.0
    Win32 Version: 1.1.4322.2300
    CodeBase:
file:///c:/windows/assembly/gac/system.windows.forms/1.0.5000.0__b77a5c561934e089/system.windows.forms.dll
----------------------------------------
System.Xml
    Assembly Version: 1.0.5000.0
    Win32 Version: 1.1.4322.2300
    CodeBase:
file:///c:/windows/assembly/gac/system.xml/1.0.5000.0__b77a5c561934e089/system.xml.dll
----------------------------------------

************** JIT Debugging **************
To enable just in time (JIT) debugging, the config file for this
application or machine (machine.config) must have the
jitDebugging value set in the system.windows.forms section.
The application must also be compiled with debugging
enabled.

For example:

<configuration>
    <system.windows.forms jitDebugging="true" />
</configuration>

When JIT debugging is enabled, any unhandled exception
will be sent to the JIT debugger registered on the machine
rather than being handled by this dialog.




============================
Configuration Naming Context: CN=Configuration,DC=india,DC=com
Services base: LDAP://CN=Services,CN=Configuration,DC=india,DC=com
Services base: LDAP://CN=Public Key
Services,CN=Services,CN=Configuration,DC=india,DC=com
Searching for 'CN=Red Hat Certificate System Proxy' under base
CN=Certification Authorities
Found CN=Red Hat Certificate System Proxy
Removing

Comment 1 Steve Parkinson 2007-03-29 17:44:51 UTC
This occurred because you need to run the panel as a user with the right
permissions.

I have changed the populate dialog so that it catches this error, and displays a
helpful message to the user.

We also need to document this behavior.

Comment 2 Red Hat Bugzilla 2007-11-05 04:21:16 UTC
User sparkins@redhat.com's account has been closed


Note You need to log in before you can comment on or make changes to this bug.